
Foreman - Bug #18557

Image based provisioning broken

02/18/2017 02:02 PM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The error message is not really telling anything, but when using the "Resolve" button for Provisioning templates, the following can be

seen:

2017-02-18T19:59:16 61fd0302 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"CBWPrxWc

5vdlnGkLnRXBiXUKNrh7ZuMC+BJNFfxMIMu+j/uwK+403l0iWVLO+CDLig/K1GauLMvJdsWbc7Y18Q==", "host"=>{

"salt_module_ids"=>[""], "run_list"=>{"0"=>{"type"=>"role", "name"=>"default"}}, "override_chef_at

tributes"=>"true", "name"=>"cheri-traxler", "location_id"=>"1", "hostgroup_id"=>"", "compute

_resource_id"=>"5", "environment_id"=>"1", "puppet_proxy_id"=>"", "puppet_ca_proxy_id"=>"", "salt_

proxy_id"=>"", "salt_environment_id"=>"", "ansible_role_ids"=>[""], "puppetclass_ids"=>[""],

 "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attri

butes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=

>"cheri-traxler", "domain_id"=>"1", "subnet_id"=>"1", "subnet6_id"=>"", "ip"=>"192.168.200.14", "i

p6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0",

 "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"type"=>"bridge", "bridge"=>"br0", "model"=>

"virtio"}}, "new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifi

er"=>"", "name"=>"", "domain_id"=>"", "subnet_id"=>"", "subnet6_id"=>"", "ip"=>"", "ip6"=>"", "man

aged"=>"1", "primary"=>"0", "provision"=>"0", "execution"=>"0", "virtual"=>"0", "tag"=>"", " 

attached_to"=>"", "compute_attributes"=>{"type"=>"bridge", "bridge"=>"br0", "model"=>"virtio"}}}, 

"compute_attributes"=>{"cpus"=>"2", "memory"=>"1073741824", "start"=>"1", "volumes_attribute

s"=>{"new_volumes"=>{"_delete"=>"", "pool_name"=>"default", "capacity"=>"10G", "allocation"=>"0G",

 "format_type"=>"raw"}, "0"=>{"_delete"=>"", "pool_name"=>"default", "capacity"=>"10G", "all

ocation"=>"0G", "format_type"=>"qcow2"}}, "image_id"=>"/var/lib/libvirt/images/CentOS-7-x86_64-Gen

ericCloud-1701.qcow2"}, "architecture_id"=>"1", "operatingsystem_id"=>"18", "provision_metho

d"=>"image", "build"=>"1", "medium_id"=>"", "ptable_id"=>"", "pxe_loader"=>"PXELinux BIOS", "disk"

=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"4-Users", "enabled"=>"1", "comment"=>"", "o

verwrite"=>"false"}, "capabilities"=>"build image", "provider"=>"Libvirt", "fakepassword"=>"[FILTE

RED]", "bare_metal_capabilities"=>"build", "provisioning"=>"image"}

2017-02-18T19:59:16 61fd0302 [app] [W] Action failed

 | NoMethodError: undefined method `[]' for nil:NilClass

 | /usr/share/foreman/app/models/concerns/hostext/operating_system.rb:42:in `template_kinds'

 | /usr/share/foreman/app/models/concerns/hostext/operating_system.rb:25:in `available_template_ki

nds'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:643:in `template_used'

 | /usr/share/foreman/vendor/ruby/2.3.0/gems/actionpack-4.2.7.1/lib/action_controller/metal/implic

it_render.rb:4:in `send_action'

 When reverting the commit for #16752, it works again.

Related issues:

Related to Foreman - Refactor #16752: Extract template-related code from Host... Closed 09/30/2016

Related to Foreman - Bug #20374: Image templates don't resolve any more durin... Duplicate 07/21/2017

Related to Foreman - Bug #20098: Cannot resolve user_data template with all k... Closed 06/23/2017

History
https://projects.theforeman.org/issues/16752


#1 - 02/18/2017 02:03 PM - Anonymous

- Related to Refactor #16752: Extract template-related code from Host::Managed added

#2 - 02/24/2017 10:58 AM - Anonymous

- translation missing: en.field_release deleted (209)

In recent nightlies it's happening only when using the "resolve temnplates" button, building the host itself works.

#3 - 07/31/2017 04:04 AM - Anonymous

- Related to Bug #20374: Image templates don't resolve any more during host creation added

#4 - 09/04/2017 10:14 AM - Anonymous

- Related to Bug #20098: Cannot resolve user_data template with all kind of compute-resource added

#5 - 12/06/2017 09:09 AM - Tomer Brisker

Is this still present after 1.15.4 or is it a duplicate of #20098?

#6 - 12/06/2017 09:10 AM - Tomer Brisker

- Status changed from New to Need more information

#7 - 12/10/2017 03:35 PM - Anonymous

- Status changed from Need more information to Resolved

I can't reproduce with current nightlies.
